{% extends "_base.html" %} {% block content %} {% for item in books %}
<div class="delete">
  <div class="book-card">
    <h3>{{ item.book.title }}</h3>
    <p>by {{ item.book.author }}</p>
    <p>Published on {{ item.book.published_date.strftime('%Y-%m-%d') }}</p>
    <p>{{ item.book.description }}</p>
    {% if item.image %}
    <img
      src="data:image/jpeg;base64,{{ item.image|safe }}"
      alt="Book image"
      style="max-width: 300px"
    />
    {% else %}
    <img
      src="{{ url_for('static', filename='assets/default.jpg') }}"
      alt="Default image"
      style="max-width: 300px"
    />
    {% endif %}
    <form method="POST">
      <input type="hidden" name="book_id" value="{{ item.book.id }}" />
      <input type="submit" value="Delete" class="delete--submit" />
    </form>
  </div>
</div>
{% endfor %} {% endblock %}
